/**
 * A class for adding content chunks and retrieving files from added chunks.
 */
export declare class WebpackContentChunks {
    private modules;
    private files;
    /**
     * @param {Object} stats - Webpack stats.
     */
    constructor(stats: any);
    /**
     * Adds all content chunks that originated from the nth-codesplit in
     * given module.
     * @param {string} moduleName - Name of module, can be obtained using node's __filename feature.
     * @param {number} codeSplit - Defines nth-codesplit starting at 0.
     */
    addChunksFrom(moduleName: string, codeSplit: number): void;
    /**
     * Returns an array of files from added chunks.
     * @returns {string[]} - Array of files.
     */
    getFiles(): string[];
    /**
     * Resets instance as if no chunks has been added.
     */
    reset(): void;
    private analyzeStats(stats);
}
